aboutsummaryrefslogtreecommitdiffstats
path: root/tools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh')
-rwxr-xr-xtools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/tools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh b/tools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh
new file mode 100755
index 0000000..5519514
--- /dev/null
+++ b/tools/node_modules/expresso/deps/jscoverage/tests/store-bad-json.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+# store-bad-json.sh - test store with invalid JSON
+# Copyright (C) 2008 siliconforks.com
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+shutdown() {
+ wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
+ wait $server_pid
+}
+
+cleanup() {
+ shutdown
+}
+
+trap 'cleanup' 0 1 2 3 15
+
+export PATH=.:..:$PATH
+
+if [ -z "$VALGRIND" ]
+then
+ delay=0.2
+else
+ delay=2
+fi
+
+rm -fr DIR
+$VALGRIND jscoverage-server --document-root=recursive --report-dir=DIR > OUT 2> ERR &
+server_pid=$!
+server_port=8080
+
+sleep $delay
+
+echo 400 > EXPECTED
+! curl -d '!@#$%^&*()' -f -w '%{http_code}\n' http://127.0.0.1:8080/jscoverage-store 2> /dev/null > ACTUAL
+diff EXPECTED ACTUAL